import os
import emod_api.spatialreports.spatial as sr
import matplotlib.pyplot as plt
import numpy as np

node1_prevs=[]
node2_prevs=[]
def plot_spatial_prev( experiment_id ):
    for sim in os.listdir( experiment_id ):
        report_path = os.path.join( experiment_id, sim, "SpatialReport_Prevalence.bin" )
        data = sr.SpatialReport( report_path )
        for node_id in data.node_ids:
            prev = data[node_id].data
            if node_id == 1:
                node1_prevs.append( prev )
            else:
                node2_prevs.append( prev )
    node1_prev_mean = np.zeros(len(node1_prevs[0]))
    node2_prev_mean = np.zeros(len(node1_prevs[0]))
    print( f"Collected {len(node1_prevs)} prev traces for nodes 1 and 2 for experiment {experiment_id}. Calculating means." )
    for i in range(len(node1_prevs)):
        node1_prev_mean = np.add( node1_prev_mean, node1_prevs[i])
        node2_prev_mean = np.add( node2_prev_mean, node2_prevs[i])
    node1_prev_mean /= len( node1_prevs )
    node2_prev_mean /= len( node2_prevs )
   
with open( "COMPS_ID", "r" ) as fp:
	experiment_id = fp.read() 

plot_spatial_prev( experiment_id )

